# VehicleTimeRecord
Date: 2020-11-15

de.hems.trafficsim

## Class VehicleTimeRecord

- java.lang.Object
- - de.hems.trafficsim.VehicleTimeRecord

    public class VehicleTimeRecord
    extends java.lang.Object

Model class which keeps the previous simulation data for analysis.

### Field Summary

Fields
`protected int` `id` the id of the vehicle it belongs to
`protected float` `maxVelocity` the maximum velocity of the vehicle
`protected float` `position` the position of the vehicle after the last simulation step
`protected float` `velocity` the velocity of the vehicle during the last simulation step

### Constructor Summary

Constructors
Constructor and Description
`VehicleTimeRecord(int id, float position, float velocity, float maxVelocity)` Construct a new VehicleTimeRecord.

### Method Summary

All Methods Instance Methods Concrete Methods
`float` `getMaxVelocity()`
`float` `getPosition()`
`float` `getVelocity()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### id

    protected int id

the id of the vehicle it belongs to

#### position

    protected float position

the position of the vehicle after the last simulation step

#### velocity

    protected float velocity

the velocity of the vehicle during the last simulation step

#### maxVelocity

    protected float maxVelocity

the maximum velocity of the vehicle

### Constructor Detail

#### VehicleTimeRecord

    public VehicleTimeRecord(int id,
                             float position,
                             float velocity,
                             float maxVelocity)

Construct a new VehicleTimeRecord.

Parameters:
  `id` - the id of the vehicle it belongs to
  `position` - the position of the vehicle after the last simulation step
  `velocity` - the velocity of the vehicle during the last simulation step
  `maxVelocity` - the maximum velocity of the vehicle

### Method Detail

#### getMaxVelocity

    public float getMaxVelocity()

#### getPosition

    public float getPosition()

#### getVelocity

    public float getVelocity()